Payment Methods
Delete Customer Payment Method
Delete a payment method from the authenticated customer.
DELETE
/
v1
/
customer-portal
/
customers
/
me
/
payment-methods
/
{id}
Python
from crosspoint.v2026_10 import Crosspoint
crosspoint = Crosspoint("cxp_oat_xxx")
crosspoint.customer_portal.customers.delete_payment_method(
'00000000-0000-4000-8000-000000000000',
)import { createCrosspoint } from "@crossdev/sdk/2026-10";
const crosspoint = createCrosspoint({
accessToken: "cxp_oat_xxx",
});
await crosspoint.customerPortal.customers.deletePaymentMethod(
"00000000-0000-4000-8000-000000000000",
);
curl --request DELETE \
--url https://api.crosspoint.finance/v1/customer-portal/customers/me/payment-methods/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.crosspoint.finance/v1/customer-portal/customers/me/payment-methods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.crosspoint.finance/v1/customer-portal/customers/me/payment-methods/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.crosspoint.finance/v1/customer-portal/customers/me/payment-methods/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.crosspoint.finance/v1/customer-portal/customers/me/payment-methods/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.crosspoint.finance/v1/customer-portal/customers/me/payment-methods/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"error": "PaymentMethodInUseByActiveSubscription",
"detail": "<string>"
}{
"error": "ResourceNotFound",
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
customer_sessionmember_session
Customer session tokens are specific tokens that are used to authenticate customers on your organization. You can create those sessions programmatically using the Create Customer Session endpoint.
Path Parameters
Response
Payment method deleted.
⌘I
Python
from crosspoint.v2026_10 import Crosspoint
crosspoint = Crosspoint("cxp_oat_xxx")
crosspoint.customer_portal.customers.delete_payment_method(
'00000000-0000-4000-8000-000000000000',
)import { createCrosspoint } from "@crossdev/sdk/2026-10";
const crosspoint = createCrosspoint({
accessToken: "cxp_oat_xxx",
});
await crosspoint.customerPortal.customers.deletePaymentMethod(
"00000000-0000-4000-8000-000000000000",
);
curl --request DELETE \
--url https://api.crosspoint.finance/v1/customer-portal/customers/me/payment-methods/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.crosspoint.finance/v1/customer-portal/customers/me/payment-methods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.crosspoint.finance/v1/customer-portal/customers/me/payment-methods/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.crosspoint.finance/v1/customer-portal/customers/me/payment-methods/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.crosspoint.finance/v1/customer-portal/customers/me/payment-methods/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.crosspoint.finance/v1/customer-portal/customers/me/payment-methods/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"error": "PaymentMethodInUseByActiveSubscription",
"detail": "<string>"
}{
"error": "ResourceNotFound",
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
